Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.util
Class CellReference

    java.lang.Object
      org.apache.poi.ss.util.CellReference
          org.apache.poi.hssf.util.CellReference

    public final class CellReference

extends CellReference

Common conversion functions between Excel style A1, C27 style cell references, and POI usermodel style row=0, column=0 style references.

Author:
  Avik Sengupta, Dennis Doubleday (patch to seperateRowColumns())

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.ss.util.CellReference
`CellReference.NameType`

Constructor Summary
`CellReference(int pRow, int pCol)`
`CellReference(int pRow, int pCol, boolean pAbsRow, boolean pAbsCol)`
`CellReference(java.lang.String cellRef)` Create an cell ref from a string representation.
`CellReference(java.lang.String pSheetName, int pRow, int pCol, boolean pAbsRow, boolean pAbsCol)`

Method Summary

Methods inherited from class org.apache.poi.ss.util.CellReference
`cellReferenceIsWithinRange, classifyCellReference, convertColStringToIndex, convertNumToColString, equals, formatAsString, getCellRefParts, getCol, getRow, getSheetName, isColAbsolute, isColumnWithnRange, isPartAbsolute, isRowAbsolute, isRowWithnRange, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CellReference

    public CellReference(java.lang.String cellRef)

  Create an cell ref from a string representation. Sheet names containing special characters should be delimited and escaped as per normal syntax rules for formulas.

### CellReference

    public CellReference(int pRow,
                         int pCol)

### CellReference

    public CellReference(int pRow,
                         int pCol,
                         boolean pAbsRow,
                         boolean pAbsCol)

### CellReference

    public CellReference(java.lang.String pSheetName,
                         int pRow,
                         int pCol,
                         boolean pAbsRow,
                         boolean pAbsCol)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.